List subscribers
Returns a list of your subscribers with filtering and search capabilities.Endpoint
GET /v3/subscribers
Parameters
The page of results being requested. Default value is
1. Each page of results will contain up to 50 subscribers.View a single subscriber
Returns data for a single subscriber.Endpoint
GET /v3/subscribers/#{subscriber_id}
Parameters
Update subscriber
Updates the information for a single subscriber. NOTE: The API response returned when updating custom fields is dependent on the number of custom fields in the request. A maximum of 140 custom fields are allowed. Requests that exceed this limit will return a response of400.
Endpoint
PUT /v3/subscribers/#{subscriber_id}
Parameters
Updated custom field(s) for your subscriber as object of key/value pairs. The custom field(s) must exist before you can use it here.
Unsubscribe subscriber
Unsubscribe an email address from all your forms and sequences.Endpoint
PUT /v3/unsubscribe
Parameters
List tags for a subscriber
Lists all the tags for a subscriber.Endpoint
GET /v3/subscribers/#{subscriber_id}/tags